models/Ordenadores.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "ordenadores".
 *
 * @property int $id
 * @property string|null $descripcion
 * @property string|null $procesador
 * @property string|null $memoria
 * @property string|null $discoDuro
 * @property int|null $ethernet
 * @property int|null $wifi
 * @property string|null $tarjetaVideo
 */
class Ordenadores extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'ordenadores';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['ethernet', 'wifi'], 'boolean'],
            [['descripcion'], 'string', 'max' => 255],
            [['procesador', 'memoria', 'discoDuro', 'tarjetaVideo'], 'string', 'max' => 100],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'descripcion' => 'Descripción',
            'procesador' => 'Procesador',
            'memoria' => 'Memoria',
            'discoDuro' => 'Disco duro',
            'ethernet' => 'Tarjeta de red Ethernet',
            'wifi' => 'Tarjeta de red Wifi',
            'tarjetaVideo' => 'Tarjeta Video',
        ];
    }
}

controllers/OrdenadoresController.php
<?php

namespace app\controllers;

use app\models\Ordenadores;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * OrdenadoresController implements the CRUD actions for Ordenadores model.
 */
class OrdenadoresController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Ordenadores models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Ordenadores::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ]
            ],
            */
        ]);
        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    public function actionIndexgridview()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Ordenadores::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ]
            ],
            */
        ]);
        return $this->render('indexGridview', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Ordenadores model.
     * @param int $id ID
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Ordenadores model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Ordenadores();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'id' => $model->id]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Ordenadores model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $id ID
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Ordenadores model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $id ID
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Ordenadores model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $id ID
     * @return Ordenadores the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Ordenadores::findOne(['id' => $id])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }

    public function actionListar()
    {
        $datos = Ordenadores::find()->all();

        return $this->render('listar', [
            'datos' => $datos,
        ]);
        // return $this->render('autores', compact('autores));
    }
}

views/ordenadores/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Ordenadores $model */
/** @var yii\widgets\ActiveForm $form */
?>

<div class="ordenadores-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'descripcion')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'procesador')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'memoria')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'discoDuro')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'ethernet')->checkbox() ?>

    <?= $form->field($model, 'wifi')->checkbox() ?>

    <?= $form->field($model, 'tarjetaVideo')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/ordenadores/create.php
<?php

use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var app\models\Ordenadores $model */

$this->title = '<i class="fas fa-plus-circle"></i> <i class="fas fa-laptop"></i>';
$this->params['breadcrumbs'][] = ['label' => 'Ordenadores', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="ordenadores-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/ordenadores/index.php
<?php

use yii\helpers\Html;

$this->title = 'Ordenadores';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="ordenadores-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <?php
    $modelo = ($dataProvider->getModels());


    ?>
    <table class="tablaGrid">
        <thead>
            <tr>
                <?php
                foreach ($modelo[0] as $key => $value) {
                ?>
                    <td> <?= ucfirst($key) ?></td>
                <?php
                }
                ?>
                <td></td>
            </tr>
        </thead>
        <tbody>
            <?php
            foreach ($modelo as $dato) {
            ?>

                <tr>
                    <td><?= $dato['id'] ?></td>
                    <td><?= $dato['descripcion'] ?></td>
                    <td><?= $dato['procesador'] ?></td>
                    <td><?= $dato['memoria'] ?></td>
                    <td><?= $dato['discoDuro'] ?></td>
                    <td><?= $dato['ethernet'] ? '<i class="fas fa-check-square"></i>' : '<i class="far fa-square"></i>' ?></td>
                    <td><?= $dato['wifi'] ? '<i class="fas fa-check-square"></i>' : '<i class="far fa-square"></i>' ?></td>
                    <td><?= $dato['tarjetaVideo'] ?></td>
                    <td>
                        <?= Html::a('<span class="spanIconoVer"><i class="fas fa-eye"></i></span>', ['view', 'id' => $dato['id']], ['class' => 'icono iconoVer']) ?>
                        <?= Html::a('<i class="fas fa-pencil-alt"></i>', ['update', 'id' => $dato['id']], ['class' => 'icono iconoUpdate']) ?>
                        <?= Html::a('<i class="fas fa-trash-alt"></i>', ['/ordenadores/delete', 'id' => $dato['id']], ['class' => 'icono iconoDelete', 'data' => [
                            'confirm' => '¿Estás seguro que quieres borrar el regsitro?',
                            'method' => 'post',
                        ],]) ?>
                        <?= Html::a('<i class="fas fa-plus-square"></i> ', ['create'], ['class' => 'icono iconoNuevo']) ?>
                    </td>
                </tr>
            <?php
            }
            ?>
        </tbody>
    </table>
</div>

views/ordenadores/indexGridview.php
<?php

use app\models\Ordenadores;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Ordenadores';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="ordenadores-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <div>
        <p>
            <?= Html::a('<i class="fas fa-plus-square"></i> <i class="fas fa-laptop"></i>', ['create'], ['class' => 'btn btn-info']) ?>
        </p>
        <?= GridView::widget([
            'dataProvider' => $dataProvider,
            'columns' => [
                ['class' => 'yii\grid\SerialColumn'],

                'id',
                'descripcion',
                'procesador',
                'memoria',
                'discoDuro',
                //'ethernet:boolean',
                //'wifi:boolean',
                [
                    'attribute' => 'ethernet',
                    'format' => 'raw',
                    'value' => function ($dato) {
                        return    $dato->ethernet ? '<i class="fas fa-check-square"></i>' : '<i class="far fa-square"></i>';
                    }
                ],
                [
                    'attribute' => 'wifi',
                    'format' => 'raw',

                    'value' => function ($dato) {
                        return    $dato->wifi  ? '<i class="fas fa-check-square"></i>' : '<i class="far fa-square"></i>';
                    }
                ],
                'tarjetaVideo',
                [
                    'class' => ActionColumn::className(),
                    'urlCreator' => function ($action, Ordenadores $model, $key, $index, $column) {
                        return Url::toRoute([$action, 'id' => $model->id]);
                    }
                ],

            ],
        ]); ?>

    </div>
</div>

views/ordenadores/listar.php
<?php

use yii\helpers\Html;
?>

<div class="row">
    <?php

    foreach ($datos as $dato) {
    ?>
        <div class="col-4 mb-3">
            <div class="card cartas">
                <div class="tituloCard">
                    <div class="id"> <?= $dato->id ?></div>
                </div>
                <div class="card-body">
                    <h5 class="card-title"><?= $dato->descripcion ?></h5>
                </div>
                <div class="card-body">
                    <?= Html::a('Mas detalles', ['ordenadores/view', 'id' => $dato->id], ['class' => 'btn btn-light']) ?>
                </div>
            </div>
        </div>
    <?php
    }
    ?>
</div>

views/ordenadores/update.php
<?php

use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var app\models\Ordenadores $model */

$this->title = 'Actualizar ordenador: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Ordenadores', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => 'ID: ' . $model->id, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Actualizar';
?>
<div class="ordenadores-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/ordenadores/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/** @var yii\web\View $this */
/** @var app\models\Ordenadores $model */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Ordenadores', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="ordenadores-view">



    <p>
        <?= Html::a('Actualizar <i class="fas fa-pencil-alt"></i>', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Eliminar <i class="fas fa-trash-alt"></i>', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => '¿Estás seguro que quieres eliminar el registro?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'descripcion',
            'procesador',
            'memoria',
            'discoDuro',
            //'ethernet',
            [
                'attribute' => 'ethernet',
                'format' => 'raw',
                'value' => function ($dato) {
                    return    $dato->ethernet  ? '<i class="fas fa-check-square"></i>' : '<i class="far fa-square"></i>';
                }
            ],
            [
                'attribute' => 'wifi',
                'format' => 'raw',
                'value' => function ($dato) {
                    return    $dato->wifi ? '<i class="fas fa-check-square"></i>' : '<i class="far fa-square"></i>';
                }
            ],
            //'wifi:boolean',
            'tarjetaVideo',
        ],
    ]) ?>

</div>